/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.horario.DAO;

import java.util.ArrayList;
import pe.siso.horario.Beans.Zona;

/**
 *
 * @author sistem02user
 */
public interface ZonaDAO {
    
    public ArrayList<Zona> listarZonas() throws Exception;//todas
   
    public int registrarZonas(String nombreZona) throws Exception;
    public Zona NombreZonas(String codigoZona) throws Exception;
    public int actualizarZona(String codigoZona, String nombreZona) throws Exception;
    public int validarCantidadUsoZona (String codigoZona) throws Exception;
    public void cambiarEstado(String dato, String codigoZona) throws Exception;
    
    public ArrayList<Zona> listarZonasActivas() throws Exception;
   
    public int registrarZonaDocente(String codDocente,int codDepartamento,int codProvincia,int codDistrito) throws Exception;
    public int cantidadZonaDocente() throws Exception;
    public int consultarDocentesAsignadosZona(String codDepartamento,String codProvincia,String codigoDistrito,String codigoZona) throws Exception;
    public int eliminarDocentesAsignadosZona(String codDepartamento,String codProvincia,String codigoDistrito,String codigoZona) throws Exception;
    public int eliminarZonaUbigeo(String codDepartamento,String codProvincia,String codigoDistrito,String codigoZona) throws Exception;
    
}
